site/apps/clothes/urls.py
from django.urls import path

from .views import ClothDetailView, ClothesView, IndexView, ClothesListView

app_name = 'clothes'

urlpatterns = [
    path('', IndexView.as_view(), name='index'),
    path('clothes/',
         ClothesView.as_view(),
         name='clothes'),
    path('clothes-list/',
         ClothesListView.as_view(),
         name='clothes_list'),
    path('<int:year>/<int:month>/<int:day>/<slug:cloth>/',
         ClothDetailView.as_view(),
         name='cloth_detail'),
]

site/apps/pages/urls.py
from django.urls import path

from .views import HomePageView, AboutUsView, ContactFormView, SearchTextView, home_files


app_name = 'pages'

urlpatterns = [
    path('<filename>(robots.txt)|(humans.txt))',
        home_files, name='home-files'),
]

urlpatterns += [
    path('',
         HomePageView.as_view(),
         name='home'),
    path('contact-us/',
         ContactFormView.as_view(),
         name='contact_us'),
    path('about-us/',
         AboutUsView.as_view(),
         name='about_us'),
    # FIXME we need optional orguments here
    path('<>/',
         SearchTextView.as_view(),
         name='search'),
]

site/base/urls.py
"""site URL Configuration"""

from django.conf.urls import include, handler404, \
    handler500, handler403, handler400
from django.urls import path
from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
admin.autodiscover()

from apps.pages.views import ErrorPageView


urlpatterns = i18n_patterns(
    path('admin/', admin.site.urls),
    path('clothes/', include('apps.clothes.urls')),
    path('products/', include('apps.products.urls', namespace='products')),
    path('childcarts/', include('apps.childcarts.urls', namespace='childcarts')),
    path('', include('apps.pages.urls')),
)

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

# views to display the corresponding error pages
handler404 = ErrorPageView.as_view(error_code='404')
handler403 = ErrorPageView.as_view(error_code='403')
handler400 = ErrorPageView.as_view(error_code='400')
handler500 = ErrorPageView.as_view(error_code='500')

site/templates/pages/about_us.html
{% extends "home_base.html" %}
{% load i18n %}

{% load staticfiles %}

{% block content %}
<div class="row">
    <div class="col-sm-6 col-sm-offset-3">
        <h1>About Us</h1>
        <p>You have came to ...You have came to ...</p>
        <p>You have came to ...You have came to ...</p>
        <p>You have came to ...You have came to ...</p>
        <p>You have came to ...You have came to ...</p>
        <p>You have came to ...You have came to ...</p>
    </div>
</div>
{% endblock %}

site/templates/pages/contact_us.html
{% extends "home_base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block content %}

<div class="row">
    <div class='col-sm-6 col-sm-offset-3'>

        {% if title %}
            <h3 class="text-align-center">{{ title }}</h3>
        {% endif %}

        <form method="POST" action="">{% csrf_token %}
            {{ form.as_p }}
            <input class='btn btn-primary' type="submit" value="Contact Us">
        </form>
    </div>
</div>
{% endblock %}

site/templates/pages/home_head_css.html
<!--head_css.html contains the link to the css files which are to be included in the home page-->
{% load staticfiles %}
{% load i18n %}

<link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'css/navbar-top.css' %}" rel="stylesheet">
<link href="{% static 'css/main.css' %}" rel="stylesheet">
<link href="{% static 'css/main_menu.css' %}" rel="stylesheet">
<link href="{% static 'css/ionicons.min.css' %}" rel="stylesheet">
<link href="https://unpkg.com/ionicons@4.3.0/dist/css/ionicons.min.css" rel="stylesheet">

site/templates/pages/home_javascript.html
{% load staticfiles %}
{% load i18n %}

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery-slim.min.js"><\/script>')</script>
<!--<script src="../../assets/js/vendor/popper.min.js"></script>-->
<script src="{% static 'js/popper.min.js' %}"></script>
<script src="{% static 'js/bootstrap.min.js' %}"></script>

site/templates/pages/home_page_old.html
{% extends "base.html" %}
{% load i18n %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Born Og Mode</title>
</head>
<body>
    <p>{% trans "Welcome to Children & Fashion!" %}</p>
    <p>{% trans "Here you can find" %}</p>
    <p>{% trans "Products" %}</p>
    <p>{% trans "Services" %}</p>
</body>
</html>

site/templates/pages/index.html
{% extends "home_base.html" %}
{% load i18n %}

{% block jumbotron %}

<style>
{% block style %}
.jumbotron {
    background-color : #1e78d2 !important;
    color:white !important;
}
{% endblock %}
</style>

<div class="jumbotron">
    <div class="container">
        <div class="row">
            <div class="col-sm-6">
                <h1>Welcome</h1>
                <p class="lead">
                    This example is a quick exercise to illustrate how the
                    top-aligned navbar works. As you scroll, this navbar remains in its
                    original position and moves with the rest of the page.
                </p>
                <p>
                    <a class="btn btn-lg btn-primary" href="{% url 'pages:contact_us' %}" role="button">Contact us &raquo;</a>
                </p>
            </div>
            <div class="col-sm-6">
                <iframe width="560" height="315" src="https://www.youtube.com/embed/Ue0wC4u3Yy0" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
            </div>
        </div>
    </div>
</div>

{% endblock %}

{% block content %}

<div class="row">

    <div class="col-sm-3" >
        <form method="POST" action="">{% csrf_token %}
            {{ form.as_p}}
            <input class="btn btn-primary" type="submit" value="Contact us"/>
        </form>
    </div>
    <div class="col-sm-3">
        <p class="lead"> Home </p>
    </div>
    <div class="col-sm-3">
        <p class="lead"> Pages </p>
    </div>
    <div class="col-sm-3">
        <p class="lead"> Clothes </p>
    </div>
</div>

{% endblock %}

site/templates/pages/main_search_bar.html
{% load staticfiles %}
{% load i18n %}

<div class="container">
    <div class="row search_bar_row">
        <div class="col-sm-4 col-sm-offset-2">
            <img class="logo" src="/static/images/logo.png">
        </div>
        <div class="col-sm-4">
            <div id="searchbox">
                <a href="{% url 'pages:search' %}">
              <svg class="magnify" viewbox="0 0 48 48">
                  <path d="M31 28h-1.59l-.55-.55C30.82 25.18 32 22.23 32 19c0-7.18-5.82-13-13-13S6 11.82 6 19s5.82 13 13 13c3.23 0 6.18-1.18 8.45-3.13l.55.55V31l10 9.98L40.98 38 31 28zm-12 0c-4.97 0-9-4.03-9-9s4.03-9 9-9 9 4.03 9 9-4.03 9-9 9z"/></svg></a>
              <input id="search-input" type="text" placeholder="Search..." />
            </div>
            <!--<input class="form-control mr-sm-2" id="search" type="text" placeholder="Search" {{ onclick_attrib }}/>-->
            <!--<input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search" />-->
        </div>
        <div class="col-sm-4 menu_cart">
            <div class="shop_cart">
                <ul>
                    <li>
                        <i class="icon ion-md-cart"></i>
                    </li>
                    <li>
                        <span>0:00kr.</span>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>

<!--FIXME remove this from here-->
<script>
var input = document.getElementById("search");
input.addEventListener("keyup", function(event) {
    event.preventDefault();
    if (event.keyCode === 13) {
        searchBtn = document.getElementById("search_btn");
        searchBtn.value = input.value
        searchBtn.click();
    }
});
</script>

site/templates/pages/navbar.html
<nav class="navbar navbar-expand-md navbar-dark bg-dark mb-4">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarCollapse">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'pages:home' %}">Home <span class="sr-only"></span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'pages:about_us' %}">About us</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Customer service</a>
        <div class="dropdown-menu" aria-labelledby="dropdown01">
          <a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>
          <a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>
          <a class="dropdown-item" href="#">Payment & Security</a>
          <a class="dropdown-item" href="#">Conditions</a>
          <a class="dropdown-item" href="#">Frequently asked questions</a>
          <a class="dropdown-item" href="#">Information & Recalls</a>
        </div>
      </li>
    </ul>
    <form class="form-inline mt-2 mt-md-0">
      <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav>

site/templates/pages/search_page.html
{% extends "home_base.html" %}
{% load i18n %}
{% load staticfiles %}

{% block content %}
    <form method="POST" action="">{% csrf_token %}
        <div class="row">
            <div col-sm-5>
                {{form.text}}
            </div>
            <div col-sm-3>
                <input class='btn btn-primary' type="submit" href="{% url 'pages:search' %}" value="Search">
            </div>
        </div>
    </form>

    <div class="row">
        {% if clothes_list %}
            {% for clothes in clothes_list %}
                <div class="col-sm-4">
                    <a href="{{ clothes.get_absolute_url }}">{{ clothes.name }}</a>
                    {{clothes.get_clothes_description}}
                </div>
            {% endfor %}
        {% elif search_results %}
                <p> Oops! Nothing found, please try again.</p>
        {% endif %}
    </div>

{% endblock %}